View Issue Details

IDProjectCategoryView StatusLast Update
0001353bareos-core[All Projects] webuipublic2021-11-23 17:22
ReporterIntAssigned Tofrank 
PrioritynormalSeverityfeatureReproducibilityalways
Status closedResolutionwon't fix 
Product Version19.2.9 
Fixed in Version 
Summary0001353: Add the fill level of a volume/media
DescriptionAt the moment it is not possible the see how much space on a volume (for example a tape is left).

One sees the Terabytes written to the volume but since the compression level that the tape achieved is not reported it it not possible to estimate how much space is actually left on the tape.

The details of the volume also do not help. There are the values "Volume blocks" and "Endblock" but these do not correlate in any comprehensible way.
TagsNo tags attached.
bareos-master: impact
bareos-master: action
bareos-19.2: impact
bareos-19.2: action
bareos-18.2: impact
bareos-18.2: action
bareos-17.2: impact
bareos-17.2: action
bareos-16.2: impact
bareos-16.2: action
bareos-15.2: impact
bareos-15.2: action
bareos-14.2: impact
bareos-14.2: action
bareos-13.2: impact
bareos-13.2: action
bareos-12.4: impact
bareos-12.4: action

Activities

arogge

arogge

2021-11-23 11:59

developer   ~0004351

Hi,
thanks for taking the time reporting this.
Some storage systems don't have a definite maximum size (e.g. tape drives). Also we don't see a real benefit that this feature provides besides being nice to look at.
So, the decision was not to implement it at this time.
Int

Int

2021-11-23 12:35

reporter   ~0004352

A benefit that this feature provides besides being nice to look at
would be an archive backup to tape which must fit on a single tape.

If one does not know how close the tape is filled to it's maximum it is not possible to estimate when the archive would not fit into a single tape anymore.
If it would be possible to see the how much space on a volume is left measures could be taken to either reduce the amount of data to be archived
or upgrade the Tape hardware to higher capacity.
arogge

arogge

2021-11-23 17:22

developer   ~0004355

Especially for tapes (that utilize hardware compression) it is nearly impossible to determine the effective space that will be available.
If you come up with a solution, we're happy to take it, but we're not going to put any effort into this.

Issue History

Date Modified Username Field Change
2021-05-11 12:18 Int New Issue
2021-05-12 10:50 frank Assigned To => frank
2021-05-12 10:50 frank Status new => assigned
2021-05-12 10:51 frank Assigned To frank =>
2021-05-12 14:59 frank Assigned To => frank
2021-08-30 13:30 frank Status assigned => acknowledged
2021-11-23 11:59 arogge Status acknowledged => resolved
2021-11-23 11:59 arogge Resolution open => won't fix
2021-11-23 11:59 arogge Note Added: 0004351
2021-11-23 11:59 arogge Status resolved => closed
2021-11-23 12:35 Int Status closed => new
2021-11-23 12:35 Int Resolution won't fix => reopened
2021-11-23 12:35 Int Note Added: 0004352
2021-11-23 17:22 arogge Status new => resolved
2021-11-23 17:22 arogge Resolution reopened => won't fix
2021-11-23 17:22 arogge Note Added: 0004355
2021-11-23 17:22 arogge Status resolved => closed